<?php
/**
 * The template for displaying the header
 *
 * Displays all of the head element and everything up until the "site-content" div.
 *
 * @package WordPress
 * @subpackage Twenty_Sixteen
 * @since Twenty Sixteen 1.0
 * 
 */
/**
 * @package Twenty Sixteen
 * @subpackage Twenty Sixteen Child
 * @since 1.0.1
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php endif; ?>
	<?php wp_head(); ?>
</head>

<body>
    <header id="header" role="banner">
        <h1 class="hide"><?php bloginfo( 'name' ); ?> | Home</h1>
        <div id="skip-links">
            <a href="#body" class="button">Skip to main content</a>
        </div>
        <div class="centered header-top">
                <a class="site-logo" href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><span style="font-size: 150%;"><?php bloginfo( 'name' ); ?></span><?php $description = get_bloginfo( 'description', 'display' );
                    if ( $description || is_customize_preview() )
                        echo '<p class="site-descrp">'.$description.'</p>'; ?></a> 
            <div class="navigation-wrapper">
                <input type="checkbox" id="navigation-checkbox">
                <label class="navigation-trigger" for="navigation-checkbox" tabindex="0"><i class="icon-menu"></i><i class="icon-close"></i><span class="offset-left">Toggle navigation</span></label>
                <section class="navigation">
                    <h2 class="hide">Main navigation</h2>
                    	<?php if ( has_nav_menu( 'primaryhome' ) ) : ?>
                    <nav class="main-navigation">
              		<?php
                            wp_nav_menu( array(
                            'theme_location' => 'primaryhome',
                            'menu_class'     => 'primary-menu',
                            'container'      => false,
                            'depth'          => 2,
                            'items_wrap'     => '<ul>%3$s</ul>'    
                             ) );
			?> 
                    </nav>
                    <?php endif; ?>
                </section>
            </div>
        </div>
                          

    </header><!-- .site-header -->    
    
    
        <main id="body">
      <section class="content-block page-title home">
          <div class="bg" style="background-image: url('<?php header_image(); ?>')"></div>
        <div class="centered">
          <header>
              <div class="text-bg">
            <h2><?php 
            if(function_exists('fact_roller'))
                        fact_roller(); 
            ?></h2>
              </div>
          </header>
        </div>
      </section>
