<?php
/**
 * Customize API: WP_Customize_Header_Logo_Control class
 *
 * @package Twenty_Sixteen
 * @subpackage Twenty_Sixteen_Child
 * @since Twenty Sixteen Child 1.0
 */

/**
 * Customize Heaser Logo control class.
 *
 * Used only for custom functionality in JavaScript.
 *
 * @since 1.0.2
 *
 * @see WP_Customize_Cropped_Image_Control
 */
class WP_Customize_Header_Logo_Control extends WP_Customize_Image_Control {

	/**
	 * Control type.
	 *
	 * @since 4.3.0
	 * @access public
	 * @var string
	 */
	public $type = 'header_logo';

	/**
	 * Constructor.
	 *
	 * @since 4.3.0
	 * @access public
	 *
	 * @param WP_Customize_Manager $manager Customizer bootstrap instance.
	 * @param string               $id      Control ID.
	 * @param array                $args    Optional. Arguments to override class property defaults.
	 */
	public function __construct( $manager, $id, $args = array() ) {
		parent::__construct( $manager, $id, $args );
		//add_action( 'customize_controls_print_styles', 'wp_site_icon', 99 );
	}
}
